<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 

$periodo=$_GET['id_periodo'];
$sede=$_GET['sede'];
$nivel=$_GET['mencion'];
$turno=$_GET['turno'];
$semestre=$_GET['semestre'];
$desde=$_GET['desde'];
$hasta=$_GET['hasta'];

// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");


// Datos del Per�odo.
$sql2 = "select * from periodos where id_periodo='$periodo'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$descripcion=' ('.$row2['mes_inicio'].'-'.$row2['mes_fin'].')';
$codigo_periodo=$row2['codigo'].'-'.$row2['tipo'].$descripcion;


//Datos de la Sede
$nombre_sede="TODAS";
if($sede!=0){
   $sql2 = "select * from sedes where codigo='$sede'";
   $rs2=mysql_query($sql2,$cn);
   $row2=mysql_fetch_array($rs2);
   $nombre_sede=$row2['nombre_sede'];
}

$nombre_semestre="TODOS";
if($semestre!="99") $nombre_semestre=$semestre;

$nombre_mencion="TODAS";
if($nivel=="CIU") $nombre_mencion="CURSO DE INICIACIÓN UNIVERSITARIA";
if($nivel=="CG") {
   $nombre_mencion="COMPONENTE GENERAL";
   $nivel="COMUN";
}   
if($nivel=="ACE") $nombre_mencion="ADUANAS Y COMERCIO EXTERIOR";
if($nivel=="RT") $nombre_mencion="RENTAS";
if($nivel=="FIN") $nombre_mencion="FINANZAS PÚBLICAS";


// Datos de la Carrera.
$sql3 = "select nombre_carrera from carreras where id_carrera='$carrera'";
$rs3=mysql_query($sql3,$cn);
$row3=mysql_fetch_array($rs3);
$nom_carrera=$row3['nombre_carrera'];


   
// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(558,17,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
$query = "SELECT DISTINCT alumnos.cedula, 
alumnos.apellidos, 
alumnos.nombres,
 date_format( alumnos.fecha_nac, '%d-%m-%Y' ) AS fecha_nacimiento, 
year( curdate( ) ) - year( `alumnos`.`fecha_nac` ) + if( date_format( curdate( ) , '%m-%d' ) > date_format( `alumnos`.`fecha_nac` , '%m-%d' ) , 0, -1 ) AS `edad`,
if(historial_alumnos.sede='14-01','LOS RUICES',if(historial_alumnos.sede='14-02','PALO VERDE','LA URBINA')) AS sede, 
if(historial_alumnos.mencion='COMUN','CG',historial_alumnos.mencion) as mencion, 
historial_alumnos.semestre, 
turnos.turno,
alumnos.ida
FROM alumnos, sedes, historial_alumnos, turnos
WHERE alumnos.id_alumno = historial_alumnos.id_alumno
AND alumnos.sede = sedes.codigo
AND historial_alumnos.turno = turnos.codigo
AND historial_alumnos.id_periodo ='$periodo'
AND tipo_estudiante='BECADO'
AND year( curdate( ) ) - year( `alumnos`.`fecha_nac` ) + if( date_format( curdate( ) , '%m-%d' ) > date_format( `alumnos`.`fecha_nac` , '%m-%d' ) , 0, -1 ) >='$desde'
AND year( curdate( ) ) - year( `alumnos`.`fecha_nac` ) + if( date_format( curdate( ) , '%m-%d' ) > date_format( `alumnos`.`fecha_nac` , '%m-%d' ) , 0, -1 ) <='$hasta'
";
if($nivel!="0") $query=$query." and historial_alumnos.mencion='$mencion'";
if($sede!="0") $query=$query." and historial_alumnos.sede='$sede'";
if($turno!="0") $query=$query." and historial_alumnos.turno='$turno'";
if($semestre!="0")$query=$query." and historial_alumnos.semestre='$semestre'";
$query=$query. " ORDER BY historial_alumnos.turno,sede,mencion,semestre+0,alumnos.apellidos,alumnos.nombres";
//$query=$query. " ORDER BY convert(alumnos.cedula,signed)";

// echo $query;
// Ejecuta el Query.

$result = mysql_query ($query,$cn) or die (mysql_error()); 
//$rstHistorico = mysql_fetch_assoc($result);
// Numero de Filas.
$totalRows = mysql_num_rows($result);
// Se obtienen los datos del docente que dict� la materia.


// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mpppf.jpg');
$pdf->addImage($imagen,60,$pdf->y-25,500,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),9,array('justification'=>'center'));
$pdf->ezsetdy(-15);
$pdf->ezText('<b>'."ESTUDIANTES BECADOS INSCRITOS".'</b>',14,array('justification'=>'center'));
$pdf->ezsetdy(-15);
$pdf->ezText('<b>'.utf8_decode("LAPSO ACADÉMICO: ").'</b>'.utf8_decode($codigo_periodo),9,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'."CARRERA: ".'</b>'." LICENCIATURA EN CIENCIAS FISCALES",9,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'.utf8_decode("MENCIÓN: ").'</b>'.utf8_decode($nombre_mencion).'<b>'."   SEDE: ".'</b>'.utf8_decode($nombre_sede).'<b>'."   TOTAL ESTUDIANTES: ".'</b>'.number_format($totalRows,0,"",".").utf8_decode("<b>"."    FECHA: "."</b>").date("d/m/Y"),9,array('justification'=>'left'));



// Fin del Encabezado.
// Inicio del Pie de P�gina.
//pie_pagina($pdf, $cedula_docente, $nom_docente);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(5.5,2,2,2);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('nro'=>'<b>'.'Nro.'.'</b>', 
			  'cedula'=>'<b>'.utf8_decode('CÉDULA').'   '.'</b>', 
              'apellidosynombres'=>'<b>'.'ESTUDIANTE'.'</b>',
			  'fecha_nac'=>'<b>'.utf8_decode('FECHA NAC.').'</b>',
			  'edad'=>'<b>'.utf8_decode('EDAD').'</b>',
			  'sede'=>'<b>'.utf8_decode('SEDE').'</b>',
			  'mencion'=>'<b>'.utf8_decode('MENCIÓN.').'</b>',
			  'semestre'=>'<b>'.utf8_decode('SEM.').'</b>',
			  'turno'=>'<b>'.utf8_decode('TURNO').'</b>',
			  'ida'=>'<b>'.utf8_decode('IDA').'</b>',); 
$smc = 0; 
// Convierte la Nota a Letras.
$nota = new numerosALetras;

while ($row = mysql_fetch_row($result)) { 
    $ced      = $row[0];    // cedula 
    $apeynom  = $row[1].', '.$row[2];
	$fecha_nac=$row[3];
	$edad=$row[4];
	$sede=$row[5];
	$mencion=$row[6];
	$semestre= $row[7]; // apellidos y nombres 
	$turno= $row[8];
	$ida= $row[9];
   
    
    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('nro'=>$smc,
	                'cedula'=>number_format($ced,0,',','.'), 
                    'apellidosynombres'=>ucwords(strtolower(utf8_decode($apeynom))),
					'fecha_nac'=>utf8_decode($fecha_nac).' ',
					'edad'=>utf8_decode($edad),
					'sede'=>ucwords(strtolower(utf8_decode($sede))),
					'mencion'=>utf8_decode($mencion),
					'semestre'=>utf8_decode($semestre),
					'turno'=>ucwords(strtolower(utf8_decode($turno))),
					'ida'=>utf8_decode($ida)); 
} 
					
$pdf->ezTable($data,$cols,'',array('width'=>'550','fontSize'=>8, 
'cols'=>array('nro'=>array('justification'=>'center') 
			 ,'cedula'=>array('justification'=>'right') 
             ,'apellidosynombres'=>array('justification'=>'left')
			 ,'edad'=>array('justification'=>'center')
			 ,'semestre'=>array('justification'=>'center')
			 ,'turno'=>array('justification'=>'left')
			 ,'ida'=>array('justification'=>'right')
			 ,'fecha_nac'=>array('justification'=>'right')
			 ,'mencion'=>array('justification'=>'center')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 


?> 